[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvas.Ellipse

Ellipse draws a filled circle or ellipse on the canvas

## Declaration

Source position: line 0

`public procedure TCanvas.Ellipse(`
`const ARect: TRect`
`); procedure TCanvas.Ellipse(`
`x1: Integer;`
`y1: Integer;`
`x2: Integer;`
`y2: Integer`
`); virtual;`

## Description

Method: TCanvas.Ellipse
Params: X1, Y1, X2, Y2
Returns: Nothing
Use Ellipse to draw a filled circle or ellipse on the canvas.

## See also

TFPCustomCanvas.Ellipse
LCLIntf.Ellipse |  |

The latest version of this document can be found at lazarus-ccr.sourceforge.net.